aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-portage/g-octave/g-octave-9999.ebuild')
-rw-r--r--app-portage/g-octave/g-octave-9999.ebuild16
1 files changed, 14 insertions, 2 deletions
diff --git a/app-portage/g-octave/g-octave-9999.ebuild b/app-portage/g-octave/g-octave-9999.ebuild
index 1ddb4f830..ebab60f83 100644
--- a/app-portage/g-octave/g-octave-9999.ebuild
+++ b/app-portage/g-octave/g-octave-9999.ebuild
@@ -13,15 +13,27 @@ EHG_REPO_URI="http://g-octave.rafaelmartins.eng.br/hg/"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS=""
-IUSE="test"
+IUSE="svn test"
CDEPEND="( >=dev-lang/python-2.6 <dev-lang/python-3 )"
DEPEND="${CDEPEND}
>=dev-python/docutils-0.6"
RDEPEND="${CDEPEND}
+ svn? ( dev-python/pysvn )
|| ( >=sys-apps/portage-2.1.7[-python3] <sys-apps/portage-2.1.7 )"
-S="${WORKDIR}/${PN}"
+S="${WORKDIR}/hg"
+
+PYTHON_MODNAME="g_octave"
+
+src_prepare() {
+ distutils_src_prepare
+ if ! use svn; then
+ rm -rf g_octave/svn/ || die 'failed to remove the Subversion stuff.'
+ sed -i -e '/g_octave.svn/d' -e '/pysvn/d' setup.py \
+ || die 'failed to remove the SVN stuff from setup.py'
+ fi
+}
src_install() {
distutils_src_install